package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.QueryConfig;


/**
*  service接口类
*/
public interface QueryConfigService{

    List<QueryConfig> getQueryConfigList(QueryConfig record);

    List<QueryConfig> getQueryConfigByPage(Page page, QueryConfig record);

    QueryConfig getQueryConfigById(String id);

    QueryConfig getQueryConfig(QueryConfig record);

    boolean createQueryConfig(QueryConfig record);

    boolean deleteQueryConfig(String id);

    boolean updateQueryConfig(QueryConfig record);
}

